# Created by pyp2rpm-1.0.1
%global pypi_name pycountry

Name:           python-%{pypi_name}
Version:        20.7.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        ISO databases accessible from Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/pycountry/
Source0:        https://pypi.python.org/packages/source/p/pycountry/pycountry-%{version}.tar.gz
BuildArch:      noarch

%description
pycountry provides the ISO databases for the standards:
 639 Languages
 3166 Countries
 3166-2 Subdivisions of countries
 4217 Currencies
 15924 Scripts

The package includes a copy from Debian\'s \`pkg-isocodes\` and makes the data
accessible through a Python API.
Translation files for the various strings are included as well.

%package -n python3-%{pypi_name}
Summary:        ISO databases accessible from Python3
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycountry provides the ISO databases for the standards:
 639 Languages
 3166 Countries
 3166-2 Subdivisions of countries
 4217 Currencies
 15924 Scripts

The package includes a copy from Debian\'s \`pkg-isocodes\` and makes the data
accessible through a Python API.
Translation files for the various strings are included as well.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc HISTORY.txt README.rst LICENSE.txt TODO.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*egg-info


%changelog
* Sat Jul 11 2020 daviddavid <daviddavid> 20.7.3-1.mga8
+ Revision: 1604724
- new version: 20.7.3

* Sun Feb 16 2020 umeabot <umeabot> 19.8.18-2.mga8
+ Revision: 1534236
- Mageia 8 Mass Rebuild

* Sun Sep 29 2019 daviddavid <daviddavid> 19.8.18-1.mga8
+ Revision: 1447948
- new version: 19.8.18

* Tue Sep 24 2019 tv <tv> 19.7.15-2.mga8
+ Revision: 1445344
- rebuild for python-3.8
- drop python2 subpkg

* Fri Jul 19 2019 daviddavid <daviddavid> 19.7.15-1.mga8
+ Revision: 1422666
- new version: 19.7.15
- rename python-pycountry to python2-pycountry

* Wed Jan 09 2019 shlomif <shlomif> 18.12.8-1.mga7
+ Revision: 1353874
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.18-3.mga7
+ Revision: 1289767
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.18-2.mga7
+ Revision: 1135563
- Rebuild for python 3.6

* Sun Dec 20 2015 dglent <dglent> 1.18-1.mga6
+ Revision: 912720
- Version 1.18

* Sat Oct 10 2015 tv <tv> 1.12-2.mga6
+ Revision: 888831
- rebuild for python 3.5

* Mon Jun 22 2015 dglent <dglent> 1.12-1.mga6
+ Revision: 839720
- Version 1.12
- Add Python3 package

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 747660
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-4.mga5
+ Revision: 729430
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 688242
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Dec 17 2013 dglent <dglent> 1.3-1.mga4
+ Revision: 558302
- Add setuptools in br
- Remove tarball for 0.14.8
- New version 1.3
- imported package python-pycountry

